Processing: Dissolve polygons (GDAL/OGR and GRASS v.dissolve) in the Modeler 
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22225

Description

Create a model

Add a Vector layer box

Add "Dissolve polygons" (GDAL/OGR)

Type the name of the field to be used in the dissolve

Modeler returns "Wrong or missing parameter"

The Dissolve tools from QGIS and SAGA don't have this problem. This makes this tool useless when the user wants to use Dissolve at the

end of a long chain of processes.

History

#1 - 2016-02-04 11:08 AM - Giovanni Manghi

- Subject changed from Processing: Dissolve polygons (GDAL/OGR) in the Modeler  to Processing: Dissolve polygons (GDAL/OGR and GRASS 

v.dissolve) in the Modeler 

- Affected QGIS version changed from 2.12.2 to master

- Target version changed from Version 2.14 to Future Release - High Priority

- Priority changed from High to Normal

- Assignee changed from Giovanni Manghi to Victor Olaya

It is also true for GRASS.

The difference is that in GDAL and GRASS the list for dissolve fields is populated as a dropdown, in QGIS and SAGA is an open field.

Apparently the first type is not handled correctly in the modeller(?)

#2 - 2016-02-05 02:12 AM - Giovanni Manghi

- Category changed from Processing/OGR to Processing/Modeller

#3 - 2016-02-06 01:24 AM - Victor Olaya

- Status changed from Open to Feedback

It works fine here
The issue is that there are two params that require a field to be selected: "Dissolve field" and "Numeric attirbute to compute dissolved stats". They are both

mandatory. If nothing is selected (or written) in there, it wont work

Maybe those params should be optional... (I don't know for sure if GDAL can run without them)

#4 - 2016-02-08 01:12 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Victor Olaya wrote:

It works fine here

yes I checked on a clean install and you are right.

In the OGR module I made the necessary parameter optional (also in other modules) here

https://github.com/qgis/QGIS/pull/2769

Files

screen.png 152 KB 2016-02-03 Filipe Dias

2025-04-27 2/2

https://github.com/qgis/QGIS/pull/2769

